

%define name	lash
%define version	0.5.4

%define major	2
%define libname %mklibname %name %major

Name: 	 	%{name}
Summary: 	Linux Audio Session Handler
Version: 	%{version}
Release: 	%mkrel 6
Source:		%{name}-%{version}.tar.xz
Patch0:		lash-0.5.4-swig2.patch
Patch1:		lash-0.5.4-link.patch
Patch2:		lash-0.5.4-texi2html_Makefile.am.patch
Patch3:		lash-0.5.4-resource.h_lash.c.patch
URL:		http://www.nongnu.org/lash/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gtk2-devel
BuildRequires:	libalsa-devel
BuildRequires:  jackit-devel
BuildRequires:	libxml2-devel
BuildRequires:	readline-devel 
BuildRequires:  e2fsprogs-devel
BuildRequires:  python-devel
BuildRequires:  ImageMagick
BuildRequires:  swig
BuildRequires:	texinfo
Requires:	python >= 2.7

%description
LASH is a session management system for JACK and ALSA audio applications on
GNU/Linux. Its aim is to allow you to have many different audio programs
running at once, to save their setup, close them down and then easily reload
the setup at some other time. LASH doesn't deal with any kind of audio data
itself; it just runs programs, deals with saving/loading (arbitrary) data and
connects different kinds of virtual audio ports together (currently JACK and
ALSA sequencer ports). It can also be used to move entire sessions between
computers, or post sessions on the Internet for download.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries
%ifnarch x86_64
Provides:	liblash.so.2
%else
Provides:	liblash.so.2()(64bit)
%endif

%description -n %{libname}
Dynamic libraries from %name.

%package -n 	%{libname}-devel
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides: 	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes: 	%name-devel
Provides:	liblash2-devel

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %name.

%package -n python-%{name}
Summary:	Python bindings for the LASH audio session handler
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-%{name}
Python bindings for the LASH audio session handler.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
autoreconf -fi -Im4
export CFLAGS="%{optflags} -D_GNU_SOURCE -lm"

%configure2_5x \
	--enable-alsa-midi \
	--enable-debug

make
	

										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# create a link to liblash.so.2
(
cd %{buildroot}%{_libdir} 
ln -s liblash.so.1 liblash.so.2
ln -s liblash.so.1 liblash.so.2.0.0
)

#menu

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{_bindir}/%{name}_panel
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-AudioVideo;Audio;AudioVideoEditing;
Encoding=UTF-8
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cp icons/lash_48px.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 icons/lash_96px.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cp icons/lash_16px.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}


%postun
%{clean_menus}

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README README.SECURITY TODO
%{_bindir}/*
%{_datadir}/%name
%{_datadir}/applications/%{name}.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*

%files -n python-%{name}
%defattr(-,root,root)
%{python_sitelib}/*


%changelog
* Sat May 18 2019 tex - 0.5.4-6pclos2019
- rebuild against updates

* Sat Aug 17 2013 billybot <billybot> 0.5.4-5pclos2013
- update python 2.7

* Sun Aug 14 2011 Texstar <texstar at gmail.com> 0.5.4-4pclos2011
- rebuild for new libreadline6

* Sat Sep 04 2010 Texstar <texstar at gmail.com> 0.5.4-3pclos2010
- rebuild for 2010 release

